This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 844978 - Sudo has racecondition leaving sudo with its zombie child running forever
Sudo has racecondition leaving sudo with its zombie child running forever
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.8
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Daniel Kopeček
Dalibor Pospíšil
: ZStream
Depends On: 829263
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 07:49 EDT by RHEL Product and Program Management
Modified: 2013-01-10 23:15 EST (History)
8 users (show)

See Also:
Fixed In Version: sudo-1.7.2p1-14.el5_8.2
Doc Type: Bug Fix
Doc Text:
Prior to this update, a race condition bug existed in sudo. When a program was executed with sudo, the program could possibly exit successfully before sudo started waiting for it. In this situation, the program would be left in a zombie state and sudo would wait for it endlessly, expecting it to still be running.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:54:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2012-08-01 07:49:46 EDT
This bug has been copied from bug #829263 and has been proposed
to be backported to 5.8 z-stream (EUS).
Comment 7 errata-xmlrpc 2012-08-07 12:54:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1149.html
Comment 8 Murray McAllister 2012-08-13 00:25:41 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, a race condition bug existed in sudo. When a program was executed with sudo, the program could possibly exit successfully before sudo started waiting for it. In this situation, the program would be left in a zombie state and sudo would wait for it endlessly, expecting it to still be running.

Note You need to log in before you can comment on or make changes to this bug.